Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::SegmentMergeInfo Class Reference

`#include <SegmentMergeInfo.h>`

Inheritance diagram for Lucene::SegmentMergeInfo:

## Public Member Functions

| SegmentMergeInfo (int32_t b, const TermEnumPtr &te, const IndexReaderPtr &r)
virtual | ~SegmentMergeInfo ()
virtual String | getClassName ()
boost::shared_ptr< SegmentMergeInfo > | shared_from_this ()
Collection< int32_t > | getDocMap ()
TermPositionsPtr | getPositions ()
bool | next ()
void | close ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

TermPtr | term
int32_t | base
int32_t | ord
TermEnumPtr | termEnum
IndexReaderWeakPtr | _reader
int32_t | delCount

## Protected Attributes

TermPositionsPtr | postings
Collection< int32_t > | docMap
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ SegmentMergeInfo()

Lucene::SegmentMergeInfo::SegmentMergeInfo | ( | int32_t | b,
|  | const TermEnumPtr & | te,
|  | const IndexReaderPtr & | r
| ) |  |

## ◆ ~SegmentMergeInfo()

virtual Lucene::SegmentMergeInfo::~SegmentMergeInfo | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::SegmentMergeInfo::_getClassName | ( |  | ) |

inline static

## ◆ close()

void Lucene::SegmentMergeInfo::close | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::SegmentMergeInfo::getClassName | ( |  | ) |

inline virtual

## ◆ getDocMap()

Collection< int32_t > Lucene::SegmentMergeInfo::getDocMap | ( |  | ) |

## ◆ getPositions()

TermPositionsPtr Lucene::SegmentMergeInfo::getPositions | ( |  | ) |

## ◆ next()

bool Lucene::SegmentMergeInfo::next | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< SegmentMergeInfo > Lucene::SegmentMergeInfo::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _reader

IndexReaderWeakPtr Lucene::SegmentMergeInfo::_reader

## ◆ base

int32_t Lucene::SegmentMergeInfo::base

## ◆ delCount

int32_t Lucene::SegmentMergeInfo::delCount

## ◆ docMap

Collection<int32_t> Lucene::SegmentMergeInfo::docMap

protected

## ◆ ord

int32_t Lucene::SegmentMergeInfo::ord

## ◆ postings

TermPositionsPtr Lucene::SegmentMergeInfo::postings

protected

## ◆ term

TermPtr Lucene::SegmentMergeInfo::term

## ◆ termEnum

TermEnumPtr Lucene::SegmentMergeInfo::termEnum

The documentation for this class was generated from the following file:

- SegmentMergeInfo.h

clucene.sourceforge.net